corda / net.corda.client.jfx.model / TrackedDelegate / ObservableListDelegate

# ObservableListDelegate

`class ObservableListDelegate<M : Any, T> : TrackedDelegate<M>`

### Constructors

<init> | `ObservableListDelegate(klass: KClass<M>, observableListProperty: (M) -> ObservableList<T>)`

### Properties

observableListProperty | `val observableListProperty: (M) -> ObservableList<T>`

### Inherited Properties

klass | `val klass: KClass<M>`

### Functions

getValue | `operator fun getValue(thisRef: Any, property: KProperty<*>): ObservableList<T>`